package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"
	"go-admin/app/admin/apis/cluemanage"
)

func init() {
	routerCheckRole = append(routerCheckRole, ClueControlManageRouter)
	routerNoCheckRole = append(routerNoCheckRole, ClueControlManageUnAuthRouter)
}

// ClueControlManageRouter 需认证的路由代码
func ClueControlManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {

}

// ClueControlManageUnAuthRouter 无需认证的路由代码
func ClueControlManageUnAuthRouter(v1 *gin.RouterGroup) {
	apiClue := cluemanage.ClueDeployService{}
	clue := v1.Group("/clue")
	{
		clue.POST("/specialdeovocom_send_data", apiClue.SendData)  // 回传数据
		clue.POST("/send_data", apiClue.SendData)                  // 回传数据
		clue.POST("/new_send_data", apiClue.NewSendData)           //
		clue.POST("/get_user_data", apiClue.GetUserData)           // 获取用户数据
		clue.POST("/getCode", apiClue.GetCode)                     // 获取验证码
		clue.POST("/verifyCode", apiClue.VerifyCode)               // 校验验证码
		clue.POST("/getAuthToken", apiClue.GetAuthToken)           // 获取H5认证授权Token
		clue.POST("/getPhoneWithToken", apiClue.GetPhoneWithToken) // 一键登录取号（H5能力专用）
		clue.POST("/recordLog", apiClue.RecordLog)                 // 记录日志
	}
}
