package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"
	"go-admin/app/admin/apis/strategymanage"
)

func init() {
	routerCheckRole = append(routerCheckRole, StrategyControlManageRouter)
	routerNoCheckRole = append(routerNoCheckRole, StrategyControlManageUnAuthRouter)
}

// StrategyControlManageRouter 需认证的路由代码
func StrategyControlManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {

	//goods := v1.Group("/goods")
	//gr := goods.Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	//{
	//	//r.POST("/search", goodsmanage.GetHotSearch)
	//	//gr.GET("/search", goodsmanage.GetHotSearch)
	//}

	//gs := goods.Group("/search")
	//{
	//	gr.GET("/hot/list", goodsmanage.GetHotSearch)
	//	gs.POST("/hot/del", goodsmanage.HotSearchDel)
	//	gs.POST("/hot/add", goodsmanage.HotSearchAdd)
	//	gs.POST("/hot/modify", goodsmanage.HotSearchModify)
	//}

	//l := v1.Group("").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	//{
	//	l.GET("/syscategoryList", syscategory.GetSysCategoryList)
	//}

}

// StrategyControlManageUnAuthRouter 无需认证的路由代码
func StrategyControlManageUnAuthRouter(v1 *gin.RouterGroup) {
	apiStrategy := strategymanage.StrategyDeployService{}
	strategy := v1.Group("/strategy")
	{
		strategy.POST("/list", apiStrategy.StrategyList)     // 库存列表
		strategy.POST("/create", apiStrategy.StrategyCreate) // 库存列表
		strategy.POST("/detail", apiStrategy.StrategyDetail) // 策略详情
		strategy.POST("/update", apiStrategy.StrategyUpdate) // 更新策略
	}

}
